logo
Video Call
Server API
Stream Mixing and Transcoding APIs
On this page

StopCensorAudioV2

POST

https://rtc-api.zego.im/

Call this API to end audio stream content moderation.

Warning

Before using this API, please refer to Console - Cloud Market - Shumei Content Moderation and follow the on-page instructions to enable the relevant permissions for Shumei Content Moderation.

Rate Limit
For all rooms under the same AppID: 100 times/second

FAQ

  1. What happens if I start audio/video stream moderation API but don't call the stop audio/video stream moderation API?

    It will automatically end after pulling an empty stream for about 5 minutes. It is recommended to actively call the API to end moderation when you finish moderating.

  2. How do I identify which stream violated the rules in the audio/video stream moderation result callback?

    After completing moderation, ShuMei will return multiple callbacks based on 10s audio segment AudioUrls. The current results do not directly expose streamID information, but you can obtain it by extracting information from resultTaskId.

    Example (assuming streamID is 0001, you can see that AudioUrl contains streamID 0001):

Request

Query Parameters

    Action stringrequired

    Possible values: [StopCensorAudioV2]

    API prototype parameters

    https://rtc-api.zego.im?Action=StopCensorAudioV2

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

Body

required

Responses

Success
Schema
    Code int32

    Return code. The following only lists some return codes related to the API business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    50006、50007HTTP request failed.Please retry later (recommended 300s), or contact ZEGOCLOUD Technical Support.
    50009Moderation failed.Please retry later (recommended 300s), or contact ZEGOCLOUD Technical Support.
    50117Configuration error, ShuMei permissions not enabled.Please contact ZEGOCLOUD Technical Support to enable ShuMei permissions.
    Message string

    Operation result description

    RequestId string

    Request ID

Previous

StartCensorAudioV2

Next

StartCensorVideoV2

On this page

Back to top